Skip to main content
POST
https://api.usenotra.com
/
v1
/
brand-identities
/
generate
Queue async brand identity generation
curl --request POST \
  --url https://api.usenotra.com/v1/brand-identities/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "websiteUrl": "https://usenotra.com",
  "name": "Notra"
}
'
{
  "organization": {
    "id": "<string>",
    "slug": "<string>",
    "name": "<string>",
    "logo": "<string>"
  },
  "job": {
    "id": "<string>",
    "organizationId": "<string>",
    "brandIdentityId": "<string>",
    "status": "queued",
    "step": "scraping",
    "currentStep": 1,
    "totalSteps": 2,
    "workflowRunId": "<string>",
    "error": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "completedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as Bearer API_KEY.

Body

application/json
websiteUrl
string
required
Minimum string length: 1
Example:

"https://usenotra.com"

name
string
Required string length: 1 - 120
Example:

"Notra"

Response

Brand identity generation queued successfully

organization
object
required
job
object
required